Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cocoon.forms.formmodel
Class BooleanFieldDefinition

    java.lang.Object
      org.apache.cocoon.forms.formmodel.AbstractWidgetDefinition
          org.apache.cocoon.forms.formmodel.BooleanFieldDefinition

All Implemented Interfaces:
  org.apache.cocoon.util.location.Locatable, WidgetDefinition

public class BooleanFieldDefinition
extends AbstractWidgetDefinition

The `WidgetDefinition` part of a BooleanField widget, see `BooleanField` for more information.

Version:
  $Id: BooleanFieldDefinition.java 587759 2007-10-24 03:00:37Z vgritsenko $

Field Summary

Fields inherited from class org.apache.cocoon.forms.formmodel.AbstractWidgetDefinition
`createListener, enclosingLibrary, parent`

Constructor Summary
`BooleanFieldDefinition()`

Method Summary
`void` | `addValueChangedListener(ValueChangedListener listener)`
`Widget` | `createInstance()` Creates and returns a widget based on this widget definition.
`void` | `fireValueChangedEvent(ValueChangedEvent event)`
`Boolean` | `getInitialValue()`
`String` | `getTrueParamValue()` Get the parameter value that indicates a true value.
`ValueChangedListener` | `getValueChangedListener()`
`boolean` | `hasValueChangedListeners()`
`void` | `initializeFrom(WidgetDefinition definition)` initialize this definition with the other, sort of like a copy constructor
`void` | `setInitialValue(Boolean value)`
`void` | `setRequired(boolean required)`
`void` | `setTrueParamValue(String value)`

Methods inherited from class org.apache.cocoon.forms.formmodel.AbstractWidgetDefinition
`addCreateListener, addValidator, checkCompleteness, checkMutable, fireCreateEvent, generateDisplayData, generateDisplayData, generateLabel, getAttribute, getEnclosingLibrary, getFormDefinition, getId, getLocation, getParent, getState, makeImmutable, setAttributes, setDisplayData, setEnclosingLibrary, setId, setLocation, setParent, setState, validate, widgetCreated`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BooleanFieldDefinition

    public BooleanFieldDefinition()

Method Detail

### createInstance

    public Widget createInstance()

  Description copied from interface: `WidgetDefinition`
  Creates and returns a widget based on this widget definition.

### initializeFrom

    public void initializeFrom(WidgetDefinition definition)
                        throws Exception

  initialize this definition with the other, sort of like a copy constructor

  Specified by:
    `initializeFrom` in interface `WidgetDefinition`
  Overrides:
    `initializeFrom` in class `AbstractWidgetDefinition`
  Throws:
    `Exception`

### setInitialValue

    public void setInitialValue(Boolean value)

### getInitialValue

    public Boolean getInitialValue()

### setTrueParamValue

    public void setTrueParamValue(String value)

### getTrueParamValue

    public String getTrueParamValue()

  Get the parameter value that indicates a true value. Default is "`true`".

### addValueChangedListener

    public void addValueChangedListener(ValueChangedListener listener)

### getValueChangedListener

    public ValueChangedListener getValueChangedListener()

### fireValueChangedEvent

    public void fireValueChangedEvent(ValueChangedEvent event)

### hasValueChangedListeners

    public boolean hasValueChangedListeners()

### setRequired

    public void setRequired(boolean required)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2008 The Apache Software Foundation. All Rights Reserved.